Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class ChangePasswordArguments

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.ChangePasswordArguments

    public class ChangePasswordArguments
    extends GenericArguments

Java class for ChangePasswordArguments complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChangePasswordArguments">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericArguments">
           <sequence>
             <element name="newPassword" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `newPassword` |

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

  `password, username`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ChangePasswordArguments()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getNewPassword()` | Gets the value of the newPassword property.
  `void` | `setNewPassword​(java.lang.String value)` | Sets the value of the newPassword property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

  `getPassword, getUsername, setPassword, setUsername`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### newPassword

    protected java.lang.String newPassword

- ## Constructor Details

  - ### ChangePasswordArguments

    public ChangePasswordArguments()

- ## Method Details

  - ### getNewPassword

    public java.lang.String getNewPassword()
    Gets the value of the newPassword property.
    Returns:
      possible object is `String`

  - ### setNewPassword

    public void setNewPassword​(java.lang.String value)
    Sets the value of the newPassword property.
    Parameters:
      `value` - allowed object is `String`